Bug 183229 - BugzillaConfiguration does not get persisted when the workbench shuts down
BugzillaConfiguration does not get persisted when the workbench shuts down
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 11:53 EST by Igor Foox
Modified: 2013-04-02 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 10:26:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Foox 2006-02-27 11:53:30 EST
Description of problem:
a BugzillaConfiguration object gets persisted when it is created, but it does
not get persisted when the workbench shuts down. This means that any changes
made in the time between creation and workbench termination are not persisted,
and are lost.

Version-Release number of selected component (if applicable):
0.2.2/HEAD

How reproducible:
Always.

Steps to Reproduce:
1. Create a new Red Hat bugzilla without giving a user/pass.
2. Make a query, refresh a bug and enter a user/pass, check "save user info".
3. Restart workbench, note how you are asked again for the password.
  
Actual results:
You are asked for the password again every time the workbench is restarted. 

Expected results:
The password and username should be persisted when the workbench is shutdown.
Comment 1 Igor Foox 2006-02-28 15:14:36 EST
I'm going to work around this at the moment. The way I'm going to make it work
is that the username and password are going to be persisted whenever they are
changed in BugzillaConfiguration. 
Comment 2 Red Hat Bugzilla 2007-09-11 00:05:28 EDT
User klee@redhat.com's account has been closed
Comment 3 Andrew Overholt 2007-09-11 10:26:32 EDT
We are now shipping Mylyn which obsoletes the old bugzilla plugin.  Please open
a request at bugs.eclipse.org against Mylyn if this issue persists.  Thank you.

Note You need to log in before you can comment on or make changes to this bug.